commit: fac4e5e6f07591dfbeb13cb5c52cbc744ae45517
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 16:37:49 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 16:58:01 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fac4e5e6
dev-python/BitVector: EAPI 8, PEP517
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/BitVector/BitVector-3.5.0-r1.ebuild | 26 ++++++++++++++++++++++++++
1 file changed, 26 insertions(+)
diff --git a/dev-python/BitVector/BitVector-3.5.0-r1.ebuild
b/dev-python/BitVector/BitVector-3.5.0-r1.ebuild
new file mode 100644
index 000000000000..2c661fe0bf4b
--- /dev/null
+++ b/dev-python/BitVector/BitVector-3.5.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure-Python memory-efficient packed representation for bit
arrays"
+HOMEPAGE="
+ https://engineering.purdue.edu/kak/dist/
+ https://pypi.org/project/BitVector/
+"
+SRC_URI="https://engineering.purdue.edu/kak/dist/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+python_test() {
+ "${EPYTHON}" TestBitVector/Test.py || die "Tests fail with ${EPYTHON}"
+}